// AccSensorEx1.java
// Poll Accelerator Sensor (HiTechnic)

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;
import lejos.nxt.LCD;

public class AccSensorEx1 implements ButtonListener
{
  private volatile boolean isRunning = true;

  public AccSensorEx1()
  {
    NxtRobot robot = new NxtRobot();
    Button.ESCAPE.addButtonListener(this);
    AccelerometerSensor as = new AccelerometerSensor(SensorPort.S1);
    robot.addPart(as);
    LCD.drawString("Version: " + as.getVersion(), 0, 0);
    LCD.drawString("ID: " + as.getProductID(), 0, 1);
    LCD.drawString("Type: " + as.getSensorType(), 0, 2);

    while (isRunning)
    {
      int[] values = as.getAcceleration();
      LCD.drawString("            ",  0, 4);
      LCD.drawString("ax: " + values[0],  0, 4);
      LCD.drawString("            ",  0, 5);
      LCD.drawString("ay: " + values[1],  0, 5);
      LCD.drawString("            ",  0, 6);
      LCD.drawString("az: " + values[2],  0, 6);
    }
    robot.exit();

  }

  public void buttonPressed(Button b)
  {
    isRunning = false;
  }

  public void buttonReleased(Button b)
  {
  }

  public static void main(String[] args)
  {
    new AccSensorEx1();
  }
}
