// AccSensorEx4.java
// Regulate horizontal with accelerator sensor (HiTechnic)

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;
import lejos.nxt.LCD;

public class AccSensorEx4 implements ButtonListener
{
  private volatile boolean isRunning = true;

  public AccSensorEx4()
  {
    NxtRobot robot = new NxtRobot();
    Motor motA = new Motor(MotorPort.A);
    motA.setSpeed(5);
    robot.addPart(motA);

    Button.ESCAPE.addButtonListener(this);
    AccelerometerSensor as = new AccelerometerSensor(SensorPort.S1);
    robot.addPart(as);

    while (isRunning)
    {
      int ax = as.getAcceleration()[0];
      if (ax > 10)
        motA.forward();
      else
        if (ax < -10)
          motA.backward();
        else motA.stop();
      Tools.delay(100);
    }
    robot.exit();

  }

  public void buttonPressed(Button b)
  {
    isRunning = false;
  }

  public void buttonReleased(Button b)
  {
  }

  public static void main(String[] args)
  {
    new AccSensorEx4();
  }
}
