// BtClient.java
// Exchange data with BtServer

import ch.aplu.bluetooth.*;
import lejos.nxt.*;
import java.io.*;

public class BtClient
{
  private final String serverName = "NXT";

  public BtClient()
  {
    BluetoothClient bc = new BluetoothClient(serverName);
    LCD.drawString("Connecting...", 0, 0);
    if (!bc.connect())
    {
      LCD.drawString("Failed.", 0, 1);
      LCD.drawString("Press ESCAPE", 0, 2);
      while (!Button.ESCAPE.isPressed()) {}
      return;
    }
    LCD.drawString("established", 0, 1);
    DataInputStream dis = new DataInputStream(bc.getInputStream());
    DataOutputStream dos = new DataOutputStream(bc.getOutputStream());

    for (int i = 0; i < 50; i++)
    {
      if (Button.ESCAPE.isPressed())
        break;
      try
      {
        LCD.drawString("Send: " + i, 0, 2);
        dos.writeInt(i);
        dos.flush();
      }
      catch (IOException ex)
      {
        LCD.clear();
        LCD.drawString("Write Exception", 0, 0);
        break;
      }

      try
      {
        int n = dis.readInt();
        LCD.drawString("Got: " + n, 0, 3);
      }
      catch (IOException ex)
      {
        LCD.clear();
        LCD.drawString("Read Exception", 0, 0);
        break;
      }
    }

    LCD.drawString("Disconnecting...", 0, 4);
    bc.disconnect();
    LCD.drawString("Press ESCAPE", 0, 5);
    while (!Button.ESCAPE.isPressed()) {}
  }


  public static void main(String[] args)
  {
    new BtClient();
  }
}
