// BtClientT.java
// Same as BtClient, but uses transfer thread

import ch.aplu.nxt.*;
import ch.aplu.bluetooth.*;
import lejos.nxt.*;
import java.io.*;

public class BtClientT
{
  private class TransferThread extends Thread
  {
    public void run()
    {
      for (int i = 0; i < 50; i++)
      {
        try
        {
          LCD.drawString("Send: " + i, 0, 2);
          dos.writeInt(i);
          dos.flush();
        }
        catch (IOException ex)
        {
          LCD.clear();
          LCD.drawString("Write Exception", 0, 0);
          break;
        }

        try
        {
          int n = dis.readInt();
          LCD.drawString("Got: " + n, 0, 3);
        }
        catch (IOException ex)
        {
          LCD.clear();
          LCD.drawString("Read Exception", 0, 0);
          break;
        }
      }
    }
  }

  private final String serverName = "NXT";
  private DataInputStream dis;
  private DataOutputStream dos;

  public BtClientT()
  {
    BluetoothClient bc = new BluetoothClient(serverName);
    LCD.drawString("Connecting...", 0, 0);
    if (!bc.connect())
    {
      LCD.drawString("Failed.", 0, 1);
      LCD.drawString("Press ESCAPE", 0, 2);
      while (!Button.ESCAPE.isPressed()) {}
      return;
    }
    LCD.drawString("established", 0, 1);
    dis = new DataInputStream(bc.getInputStream());
    dos = new DataOutputStream(bc.getOutputStream());

    new TransferThread().start();
    LCD.drawString("Press ESCAPE", 0, 5);
    while (!Button.ESCAPE.isPressed()) {}
    LCD.drawString("Disconnecting", 0, 4);
    Tools.delay(2000);
    bc.disconnect();
    Tools.delay(2000);
  }


  public static void main(String[] args)
  {
    new BtClientT();
  }
}
