// BtPeerAns.java
// Answer Machine, use BtPeerInq as 'Inquiry Machine'
// Be sure, that the partner's node is added to the NXT Bluetooth devices

import ch.aplu.bluetooth.*;
import ch.aplu.nxt.*;
import lejos.nxt.*;

public class BtPeerAns
  implements BtPeerListener, ButtonListener
{
  private final String partnerName = "NXT5";
  private BluetoothPeer bp;

  public BtPeerAns()
  {
    System.out.println("Try connect " + partnerName);
    bp = new BluetoothPeer(partnerName, this);
    if (bp.isConnected())
    {
      System.out.println("Connect OK");
      System.out.println("I am a client");
    }
    else
    {
      System.out.println("Connect failed");
      System.out.println("I am a server");
      System.out.println("Wait connect");
    }
    Button.ESCAPE.addButtonListener(this);
  }

  public void receiveDataBlock(int[] data)
  {
    int size = data.length;
    int[] reply = new int[size];
    for (int i = 0; i < size; i++)
      reply[size - 1 - i] = data[i]; // Reverse word
    Tools.delay(4000); // Wait a while to simulate hard work
    bp.sendDataBlock(reply);  // and send it back

    // Show what we did
    System.out.println("Rcvd: " + toString(data));
    System.out.println("Sent: " + toString(reply));
  }

  private String toString(int[] data)
  {
    StringBuffer sb = new StringBuffer();
    for (int i = 0; i < data.length; i++)
      sb.append(Integer.toString(data[i]));
    return sb.toString();
  }

  public void notifyConnection(boolean connected)
  {
    if (connected)
      System.out.println("Connection OK");
    else
      System.out.println("Connection lost");
  }

  public void buttonPressed(Button b)
  {
    if (b == Button.ESCAPE && bp != null)
    {
      System.out.println("Terminating");
      bp.releaseConnection();
    }
  }

  public void buttonReleased(Button b)
  {}

  public static void main(String[] args)
  {
    new BtPeerAns();
  }
}


