// BtReceiver.java
// Receive data from BtSender

import ch.aplu.nxt.*;
import lejos.nxt.Button;

public class BtReceiver
  implements TransceiverListener
{
  private final String sender = "NXT";
  private Transceiver tr;

  public BtReceiver()
  {
    NxtRobot robot = new NxtRobot();

    tr = new Transceiver(sender);
    tr.addTransceiverListener(this);
    robot.addPart(tr);

    tr.switchOn(); // Blocks until connected

    while (!Button.ESCAPE.isPressed()) {}
    robot.exit();
  }

  public void received(int state, int value)
  {
    System.out.println("Received: " + state);
    Tools.delay(500);
  }

  public void isListening()
  {}

  public void notifyConnection(boolean connected)
  {
    if (!connected)
      System.out.println("Disconnected");
  }

  public static void main(String[] args)
  {
    new BtReceiver();
  }
}
