// BtReceiverQueue.java
// Receive data from BtSender
// Callback puts data in a CQueue
// main thread polls it periodically.

import ch.aplu.nxt.*;
import lejos.nxt.Button;

public class BtReceiverQueue
  implements TransceiverListener
{
  private final String sender = "NXT";
  private Transceiver tr;
  private CQueue cq = new CQueue(1000);
  boolean isConnected;

  public BtReceiverQueue()
  {
    NxtRobot robot = new NxtRobot();

    tr = new Transceiver(sender);
    tr.addTransceiverListener(this);
    robot.addPart(tr);

    tr.switchOn(); // Blocks until connected
    isConnected = true;

    while (!Button.ESCAPE.isPressed() && isConnected)
    {
      CQueueData data = cq.get();
      if (data != null)
        System.out.println("Received: " + data.state);
      Tools.delay(500);
    }
    robot.exit();
  }

  public void received(int state, int value)
  {
    cq.put(new CQueueData(state, value));
  }

  public void notifyConnection(boolean connected)
  {
    if (!connected)
      System.out.println("Disconnected");
    isConnected = false;
  }

  public void isListening()
  {}

  public static void main(String[] args)
  {
    new BtReceiverQueue();
  }
}
