// BtSender.java
// Send data to BtReceiver using the Transceiver class

import ch.aplu.nxt.*;
import lejos.nxt.Button;

public class BtSender
{
  private final String receiver = "NXT5";

  public BtSender()
  {
    NxtRobot robot = new NxtRobot();

    Transceiver tr = new Transceiver(receiver);
    robot.addPart(tr);

    tr.switchOn();  // Blocks until connected

    int n = 0;
    boolean rc = true;
    while (!Button.ESCAPE.isPressed() && rc)
    {
      rc = tr.send(n, n);
      System.out.println("Sending " + n);
      n++;
      Tools.delay(200);
    }

    System.out.println("Terminating");
    robot.exit();
  }

  public static void main(String[] args)
  {
    new BtSender();
  }
}
