// ButtonDemo.java

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;

public class ButtonDemo implements ButtonListener
{
  private Gear gear = new Gear();

  public ButtonDemo()
  {
    NxtRobot robot = new NxtRobot();
    robot.addPart(gear);
    for (int i = 0; i < 4; i++)
      Button.BUTTONS[i].addButtonListener(this);
    System.out.println("Press button");
    Tools.putSleep();
    robot.exit();
  }

  public void buttonPressed(Button b)
  {
    if (b == Button.ENTER)
    {
      gear.forward();
      System.out.println("forward");
    }
    if (b == Button.LEFT)
    {
      gear.leftArc(1);
      System.out.println("left");
    }
    if (b == Button.RIGHT)
    {
      gear.rightArc(1);
      System.out.println("right");
    }
    if (b == Button.ESCAPE)
    {
      Tools.wakeUp();
      System.out.println("exit");
    }
  }

  public void buttonReleased(Button b)
  {}

  public static void main(String[] args)
  {
    new ButtonDemo();
  }
}