  // CQueueEx1.java

import ch.aplu.nxt.*;


public class CQueueEx1
{
  private class Producer extends Thread
  {
    public void run()
    {
      int n = 0;
      while (true)
      {
        CQueueData fd = new CQueueData(n, n);
        boolean rc = buf.put(fd);
        System.out.println("Producer: put " + n + (rc? "" : " (overrun)"));
        n++;
        Tools.delay(500 + (int)(Math.random() * 1500));  // 500..2000
      }
    }
  }

  private CQueue buf = new CQueue(5);

  public CQueueEx1()
  {
    new Producer().start();
    int k = 0;
    while (true)
    {
      CQueueData fd = buf.get();
      if (fd == null)
        System.out.println("Consumer: stock empty");
      else
      {
        int state = fd.state;
        System.out.println("Consumer: got " + state + " available " + buf.available());
        if (k != state)
        {
          for (int i = k; i < state; i++)
            System.out.println("Consumer: missed " + i);
          k = state;
        }
        k++;
      }
      Tools.delay(700 + (int)(Math.random() * 2300));  // 700..3000
    }
  }

  public static void main(String[] args)
  {
    new CQueueEx1();
  }
 }
