// ClapLight.java
// Turn lamp on for a while when clapped

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;

public class ClapLight implements SoundListener, ButtonListener
{
  private final int out = 1;
  private final int triggerLevel = 10;
  private NxtRobot robot = new NxtRobot();
  private PrototypeSensor ps = new PrototypeSensor(SensorPort.S1);

  public ClapLight()
  {
    Button.ESCAPE.addButtonListener(this);
    System.out.println("ESCAPE to quit");

    SoundSensor ss = new SoundSensor(SensorPort.S4);
    robot.addPart(ss);
    ss.addSoundListener(this, triggerLevel);

    robot.addPart(ps);
    int[] ioControl = {out, out, out, out, out, out};
    ps.setDIO(ioControl);
  }

  private void turnOn()
  {
     int[] dout = new int[6];
     dout[0] = 1;
     ps.write(dout);
  }

  private void turnOff()
  {
     int[] dout = new int[6];
     dout[0] = 0;
     ps.write(dout);
  }

  public void buttonPressed(Button b)
  {
    robot.exit();
  }

  public void buttonReleased(Button b)
  {
  }

  public void loud(SensorPort port, int level)
  {
    turnOn();
    Tools.delay(5000);
    turnOff();
  }

  public void quiet(SensorPort port, int level)
  {
  }

  public static void main(String[] args)
  {
    new ClapLight();
  }
}