// ColorSensorSet.java
// Using Lego Color Sensor

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;
import lejos.robotics.Color;

public class ColorSensorBlink implements ButtonListener
{
  private volatile boolean isRunning = true;
  private final int[] redCube = {220, 240, 25, 45, 30, 60};
  private final int[] yellowCube = {240, 260, 200, 220, 90, 110};
  private final int[] greenCube = {150, 170, 170, 210, 103, 123};
  private final int[] blueCube = {100, 120, 100, 120, 170, 190};

  public ColorSensorBlink()
  {
    NxtRobot robot = new NxtRobot();
    Button.ESCAPE.addButtonListener(this);
    ColorSensor cs = new ColorSensor();
    robot.addPart(cs);
    while (isRunning)
    {
      cs.setFloodlight(Color.RED);
      Tools.delay(1000);
      cs.setFloodlight(Color.GREEN);
      Tools.delay(1000);
      cs.setFloodlight(Color.BLUE);
      Tools.delay(1000);
      cs.setFloodlight(Color.NONE);
      Tools.delay(1000);
    }
    robot.exit();
  }

  public void buttonPressed(Button b)
  {
    isRunning = false;
  }

  public void buttonReleased(Button b)
  {
  }

  public static void main(String[] args)
  {
    new ColorSensorBlink();
  }
}