// ColorSensorPoll.java
// Using Lego Color Sensor

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;
import lejos.robotics.Color;

public class ColorSensorPoll implements ButtonListener
{
  private volatile boolean isRunning = true;
  private final int[] redCube = {190, 240, 25, 45, 30, 60};
  private final int[] yellowCube = {200, 240, 180, 220, 80, 110};
  private final int[] greenCube = {130, 180, 160, 210, 80, 120};
  private final int[] blueCube = {90, 120, 90, 120, 160, 200};

  public ColorSensorPoll()
  {
    NxtRobot robot = new NxtRobot();
    Button.ESCAPE.addButtonListener(this);
    ColorSensor cs = new ColorSensor();
    robot.addPart(cs);
    while (isRunning)
    {
      Color color = cs.getColor();
      System.out.println("R: " + color.getRed());
      System.out.println("G: " + color.getGreen());
      System.out.println("B: " + color.getBlue());
      System.out.println("----");
      if (cs.inColorCube(color, redCube))
      {
        System.out.println("red detected");
      }
      if (cs.inColorCube(color, yellowCube))
      {
        System.out.println("yellow detected");
      }
      if (cs.inColorCube(color, greenCube))
      {
        System.out.println("green detected");
      }
      if (cs.inColorCube(color, blueCube))
      {
        System.out.println("blue detected");
      }
      Tools.delay(1000);
    }
    robot.exit();
  }

  public void buttonPressed(Button b)
  {
    isRunning = false;
  }

  public void buttonReleased(Button b)
  {
  }

  public static void main(String[] args)
  {
    new ColorSensorPoll();
  }
}