// ColorSensorRead.java
// Using Lego Color Sensor

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;
import lejos.robotics.Color;

public class ColorSensorRead implements ButtonListener
{
  private volatile boolean isRunning = true;

  public ColorSensorRead()
  {
    NxtRobot robot = new NxtRobot();
    Button.ESCAPE.addButtonListener(this);
    ColorSensorHT cs = new ColorSensorHT();  // HiTechnic sensor
//    ColorSensor cs = new ColorSensor(); // Lego sensor
    robot.addPart(cs);
    while (isRunning)
    {
      Color color = cs.getColor();
      System.out.println("Red: " + color.getRed());
      System.out.println("Green: " + color.getGreen());
      System.out.println("Blue: " + color.getBlue());
      Tools.delay(500);
    }
    robot.exit();
  }

  public void buttonPressed(Button b)
  {
    isRunning = false;
  }

  public void buttonReleased(Button b)
  {
  }

  public static void main(String[] args)
  {
    new ColorSensorRead();
  }
}