// CompassEvt.java

import ch.aplu.nxt.*;

public class CompassEvt implements CompassListener
{
  private final double triggerDirection = 30;  // degrees clockwise from north
  // The callbacks are triggerd at 30 and 210 degrees

  public CompassEvt()
  {
    NxtRobot robot = new NxtRobot();
    CompassSensor cs = new CompassSensor();
    robot.addPart(cs);
    cs.addCompassListener(this, triggerDirection);
    Tools.waitEscape("ESCAPE to quit");
    robot.exit();
  }

  public void toRight(SensorPort port, double level)
  {
    System.out.println("toRight:" + level);
  }

  public void toLeft(SensorPort port, double level)
  {
    System.out.println("toLeft:" + level);
  }

  public static void main(String[] args)
  {
    new CompassEvt();
  }
}