// CompassPoll.java

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;

public class CompassPoll implements ButtonListener
{
  private volatile boolean isRunning = true;

  public CompassPoll()
  {
    NxtRobot robot = new NxtRobot();
    Button.ESCAPE.addButtonListener(this);
    CompassSensor cs = new CompassSensor();
    robot.addPart(cs);
    Gear gear = new Gear();
    robot.addPart(gear);
    gear.setSpeed(3);
    cs.startCalibration();
    gear.turnTo(2000);
    cs.stopCalibration();
    robot.playTone(1000, 100);

    while (isRunning)
    {
      System.out.println("v: " + cs.getDegrees());
      Tools.delay(500);
    }
    robot.exit();
  }

  public void buttonPressed(Button b)
  {
    isRunning = false;
  }

  public void buttonReleased(Button b)
  {
  }

  public static void main(String[] args)
  {
    new CompassPoll();
  }
}