// CompassRover.java

import ch.aplu.nxt.*;
import lejos.nxt.Button;

public class CompassRover implements CompassListener
{
  private double triggerDirection = 30;  // degrees clockwise from north
  private Gear gear = new Gear();
  private  NxtRobot robot;

  public CompassRover()
  {
    robot = new NxtRobot();
    CompassSensor cs = new CompassSensor();
    robot.addPart(cs);
    cs.addCompassListener(this, triggerDirection);
    robot.addPart(gear);
    gear.setSpeed(30);
    while (!Button.ESCAPE.isPressed()) {}
    robot.exit();
  }

  public void toRight(SensorPort port, double level)
  {
    robot.playTone(1500, 200);
    gear.leftArc(1);
  }

  public void toLeft(SensorPort port, double level)
  {
    robot.playTone(1000, 200);
    gear.rightArc(1);
  }

  public static void main(String[] args)
  {
    new CompassRover();
  }
}