// Gate.java

import ch.aplu.nxt.*;
import lejos.nxt.Button;

public class Gate implements LightListener
{
  private final int triggerLevel = 500;
  private final String train = "NXT";
  private Transceiver tr;

  public Gate()
  {
  	NxtRobot robot = new NxtRobot();
    LightSensor ls = new LightSensor();
    robot.addPart(ls);
    ls.addLightListener(this, triggerLevel);
    ls.activate(false);
    tr = new Transceiver(train);
    robot.addPart(tr);

    tr.switchOn();  // Blocks until connected

    while (!Button.ESCAPE.isPressed()) {}
    robot.exit();
  }

  public void bright(SensorPort port, int level)
  {
    System.out.println("bright");
  }

  public void dark(SensorPort port, int level)
  {
    System.out.println("dark");
    tr.send(0, 0);
  }

  public static void main(String[] args)
  {
    new Gate();
  }
}