// GyroSensorPoll.java

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;

public class GyroSensorPoll implements ButtonListener
{
  private volatile boolean isRunning = true;

  public GyroSensorPoll()
  {
    NxtRobot robot = new NxtRobot();
    Button.ESCAPE.addButtonListener(this);
    GyroSensor gs = new GyroSensor();
    robot.addPart(gs);
    while (isRunning)
    {
      System.out.println("v: " + gs.getValue());
      Tools.delay(500);
    }
    robot.exit();
  }

  public void buttonPressed(Button b)
  {
    isRunning = false;
  }

  public void buttonReleased(Button b)
  {
  }

  public static void main(String[] args)
  {
    new GyroSensorPoll();
  }
}