// LightEvt.java
// Light sensor (event driven)

import ch.aplu.nxt.*;

public class LightEvt implements LightListener
{
  private int brightNb = 0;
  private int darkNb = 0;

  private final int triggerLevel = 400;

  public LightEvt()
  {
    NxtRobot robot = new NxtRobot();
    LightSensor ls = new LightSensor();
    robot.addPart(ls);
    ls.addLightListener(this, triggerLevel);
    Tools.waitEnter("ENTER to quit");
    robot.exit();
  }

  public void bright(SensorPort port, int level)
  {
    brightNb++;
    showNbEvents(level);
  }

  public void dark(SensorPort port, int level)
  {
    darkNb++;
    showNbEvents(level);
  }

  private void showNbEvents(int level)
  {
    System.out.println("bright#: " + brightNb +
                "\ndark#: " + darkNb +
                "\nlevel: " + level + "\n");
  }

  public static void main(String[] args)
  {
    new LightEvt();
  }
}
