// LightRegulator.java
// pos = 0..300

import ch.aplu.nxt.*;
import lejos.nxt.Button;

public class LightRegulator
{
  private final int sollWert = 900;

  public LightRegulator()
  {
    NxtRobot robot = new NxtRobot();
    Motor mot = new Motor(MotorPort.A);
    robot.addPart(mot);

    LightSensor ls = new LightSensor();
    robot.addPart(ls);

    System.out.println("Initializing...");
    init(mot);
    int pos = 0;
    int istWert;
    System.out.println("ESCAPE to quit");
    while (!Button.ESCAPE.isPressed())
    {
      istWert = ls.getValue();
      System.out.println("pos " + pos + ",ist " + istWert);
      if (istWert > sollWert)
      {
        pos = pos - 5;
        if (pos < 0)
          pos = 0;
      }
      else
      {
        pos = pos + 5;
        if (pos > 300)
          pos = 300;
      }
      mot.continueTo(pos);
    }

    mot.continueTo(300);
    robot.exit();
  }

  private void init(Motor mot)
  {
    mot.setSpeed(5);
    mot.rotateTo(-300);
    mot.resetMotorCount();
  }

  public static void main(String[] args)
  {
    new LightRegulator();
  }
}