// LighthouseOp.java
// Simulates a lighthouse operator

import ch.aplu.nxt.*;

public class LighthouseOp
{
  public LighthouseOp()
  {
    Lighthouse lh = new Lighthouse();
    lh.turn(24);
    lh.exit();
  }

  public static void main(String[] args)
  {
    new LighthouseOp();
  }
}

// Lighthouse.java
class Lighthouse
{
  private TurtleRobot t;
  private LightSensor ls;

  Lighthouse()
  {
    t = new TurtleRobot();
    ls = new LightSensor();
    t.addPart(ls);
    ls.activate(false);
  }

  public void turn(int nb)
  {
    for (int i = 0; i < nb; i++)
    {
      blink();
      t.left(45);
    }
  }

  private void blink()
  {
    ls.activate(true);
    Tools.delay(800);
    ls.activate(false);
  }

  public void exit()
  {
    t.exit();
  }
}
