// MasterRobot.java
// Send commands to ClientRobot

import ch.aplu.nxt.*;
import java.util.Random;

public class MasterRobot
{
  private interface Command
  {
    int FORWARD  = 1;
    int BACKWARD = 2;
    int LEFT     = 3;
    int RIGHT    = 4;
    int STOP     = 5;
    int SETSPEED = 6;
  }

  private final String recipient = "NXT5";

  public MasterRobot()
  {
    NxtRobot robot = new NxtRobot();

    Transceiver tr = new Transceiver(recipient);
    robot.addPart(tr);

    Gear gear = new Gear();
    robot.addPart(gear);

    tr.switchOn();  // Blocks until connected

    tr.send(Command.SETSPEED, 30);
    gear.setSpeed(30);
    Random rnd = new Random();
    for (int i = 0; i < 5; i++)
    {
      tr.send(Command.FORWARD, 0);
      gear.forward(3000);
      int turnTime = 100 + rnd.nextInt(700);
      tr.send(Command.LEFT, 0);
      gear.left(turnTime);
    }
    tr.send(Command.STOP, 0);
    gear.stop();
    robot.exit();
  }

  public static void main(String[] args)
  {
    new MasterRobot();
  }
}
