// ProtoSensorEx1.java
// Test analog and digital inputs

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;

public class ProtoSensorEx1 implements ButtonListener
{
  private volatile boolean isRunning = true;

  public ProtoSensorEx1()
  {
    NxtRobot robot = new NxtRobot();
    Button.ESCAPE.addButtonListener(this);
    PrototypeSensor ps = new PrototypeSensor(SensorPort.S1);
    robot.addPart(ps);
    System.out.println("Version: " + ps.getVersion());
    System.out.println("ID: " + ps.getProductID());
    System.out.println("Type: " + ps.getSensorType());
    Tools.delay(5000);

    int[] ain = new int[5];
    int[] din = new int[6];
    while (isRunning)
    {
      ps.read(ain, din);
      System.out.println("AnalogIn:");
      for (int i = 0; i < 5; i++)
        System.out.println("ain[" + i + "]: " + ain[i]);
      Tools.delay(2000);
      System.out.println("DigitalIn:");
      for (int i = 0; i < 6; i++)
        System.out.println("din[" + i + "]: " + din[i]);
      Tools.delay(2000);
    }
    robot.exit();
  }

  public void buttonPressed(Button b)
  {
    isRunning = false;
  }

  public void buttonReleased(Button b)
  {
  }

  public static void main(String[] args)
  {
    new ProtoSensorEx1();
  }
}
