// ProtoSensorEx2.java
// Test digital outputs

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;

public class ProtoSensorEx2 implements ButtonListener
{
  private volatile boolean isRunning = true;
  private final int in = 0;
  private final int out = 1;

  public ProtoSensorEx2()
  {
    NxtRobot robot = new NxtRobot();
    Button.ESCAPE.addButtonListener(this);
    System.out.println("ESCAPE to quit");
    PrototypeSensor ps = new PrototypeSensor(SensorPort.S1);
    robot.addPart(ps);
    int[] ioControl = {out, out, in, in, in, out};
    ps.setDIO(ioControl);
    int[] dout = new int[6];
    int k = 0;
    while (isRunning)
    {
      if (k++ % 2 == 0)
      {
        dout[0] = 1;
        dout[1] = 1;
        dout[5] = 1;
      }
      else
      {
        dout[0] = 0;
        dout[1] = 0;
        dout[5] = 0;
      }
      ps.write(dout);

      int[] din = new int[6];
      ps.readDigital(din);
      System.out.println("DigitalIn:");
      for (int i = 0; i < 6; i++)
        System.out.println("din[" + i + "]: " + din[i]);
      Tools.delay(1000);
    }
    robot.exit();
  }

  public void buttonPressed(Button b)
  {
    isRunning = false;
  }

  public void buttonReleased(Button b)
  {
  }

  public static void main(String[] args)
  {
    new ProtoSensorEx2();
  }
}
