// ProtoSensorEx5.java
// IO with events, digital state of input pin B0 is transfered to output pin B5

import ch.aplu.nxt.*;

public class ProtoSensorEx5
{
  private PrototypeSensor ps = new PrototypeSensor();

  public ProtoSensorEx5()
  {
    NxtRobot robot = new NxtRobot();
    robot.addPart(ps);
    ps.setDIO(new int[] {0, 0, 0, 0, 0, 1});  // Define B0 as input, B5 as output
    ps.addPrototypeListener(new PrototypeAdapter()
    {
      public void dinChanged(SensorPort port, int[] din)
      {
        if (din[0] != -1)  // B0 changes state
          ps.write(new int[] {0, 0, 0, 0, 0, din[0]});  // Values for B0..B4 ignored
      }
    });
    Tools.waitEscape("ESCAPE to quit");
    robot.exit();
  }

  public static void main(String[] args)
  {
    new ProtoSensorEx5();
  }
}
