// ProtoSensorEx6.java
// Blinking lamp at B0

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;

public class ProtoSensorEx6 implements ButtonListener
{
  private volatile boolean isRunning = true;
  private final int out = 1;

  public ProtoSensorEx6()
  {
    NxtRobot robot = new NxtRobot();
    Button.ESCAPE.addButtonListener(this);
    System.out.println("ESCAPE to quit");
    PrototypeSensor ps = new PrototypeSensor(SensorPort.S1);
    robot.addPart(ps);
    int[] ioControl = {out, out, out, out, out, out};
    ps.setDIO(ioControl);
    int[] dout = new int[6];
    dout[0] = 0;
    while (isRunning)
    {
      if (dout[0] == 0)
        dout[0] = 1;
      else
        dout[0] = 0;
      ps.write(dout);

      Tools.delay(100);
    }
    robot.exit();
  }

  public void buttonPressed(Button b)
  {
    isRunning = false;
  }

  public void buttonReleased(Button b)
  {
  }

  public static void main(String[] args)
  {
    new ProtoSensorEx6();
  }
}
