// RFIDEx1.java
// Show RFID sensor information and poll sensor

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.LCD;

public class RFIDEx1
{
  public RFIDEx1()
  {
    NxtRobot robot = new NxtRobot();
    RFIDSensor rfid = new RFIDSensor(SensorPort.S1);
    robot.addPart(rfid);

    System.out.println("Type: " + rfid.getSensorType());
    System.out.println("PID: " + rfid.getProductID());
    System.out.println("Version: " + rfid.getVersion());

    System.out.println("ENTER to cont");
    while (!Button.ENTER.isPressed())
    {}

    LCD.clear();
    System.out.println("Serial: ");
    byte[] serial = rfid.getSerialNo();
    if (serial != null)
    {
      for (int i = 0; i < 12; i++)
      {
        if (i == 6)
        {
          Tools.delay(1000);
          System.out.println("ENTER to cont");
          while (!Button.ENTER.isPressed())
          {}
        }
        System.out.println(i + ": " + serial[i]);
      }
    }
    else
      System.out.println("unavailable");

    Tools.delay(1000);
    System.out.println("ENTER to cont");
    while (!Button.ENTER.isPressed())
    {}

    rfid.setContMode(true);
    System.out.println("ESC to stop");
    while (!Button.ESCAPE.isPressed())
    {
      System.out.println("v: " + rfid.getTransponderId());
      Tools.delay(100);
    }
    robot.exit();
  }

  public static void main(String[] args)
  {
    new RFIDEx1();
  }
}
