// RFIDEx2.java
// Event detection of RFID sensor

import ch.aplu.nxt.*;
import lejos.nxt.Button;

public class RFIDEx2 implements RFIDListener
{
  private int nb = 0;
  private NxtRobot robot;

  public RFIDEx2()
  {
    robot = new NxtRobot();
    RFIDSensor rfid = new RFIDSensor(SensorPort.S1);
    robot.addPart(rfid);
    rfid.addRFIDListener(this);
    System.out.println("RFID detection");
    System.out.println("using events.");
    System.out.println(" ");
    System.out.println("ESC to stop.");
    System.out.println(" ");
    System.out.println("Please present");
    System.out.println("transponder...");
    while (!Button.ESCAPE.isPressed())
    {
      Tools.delay(100);
    }
    robot.exit();
  }

  public void detected(SensorPort port, long id)
  {
    System.out.println(" ");
    System.out.println("nb:" + nb++);
    System.out.println("id:" + id);
    System.out.println();
    robot.playTone(2000, 100);
  }

  public static void main(String[] args)
  {
    new RFIDEx2();
  }
}
