// RobotEvent.java

import ch.aplu.nxt.*;

public class RobotEvent
  implements TouchListener
  // Interface declares callback methods pressed()/released()
{
  // Instance variable because used in 2 methods
  private NxtRobot robot;

  public RobotEvent()
  {
    // Create robot and connect
    robot = new NxtRobot();

    // Create touch sensor and assemble it
    TouchSensor ts = new TouchSensor();
    robot.addPart(ts);

    // Register listener and activate callback invocation
    ts.addTouchListener(this);

    // Create gear and assemble it
    Gear gear = new Gear();
    robot.addPart(gear);

    // Move forward
    gear.forward();
  }

  // Callback method, called whenever the sensor is pressed
  public void pressed(SensorPort port)
  {
    robot.exit();
  }

  // Callback method, called whenever the sensor is released
  public void released(SensorPort port)
  {}

  // main()
  public static void main(String[] args)
  {
    new RobotEvent();
  }
}