// RoverSonar.java
// Ultrasonic sensor, remain on table

import ch.aplu.nxt.*;

public class RoverSonar implements UltrasonicListener
{
  private final int triggerLevel = 30;
  private Gear gear;

  public RoverSonar()
  {
    NxtRobot robot = new NxtRobot(true);
    UltrasonicSensor us = new UltrasonicSensor();
    robot.addPart(us);
    us.addUltrasonicListener(this, triggerLevel);

    gear = new Gear();
    gear.setSpeed(15);
    robot.addPart(gear);
    gear.forward();

    Tools.waitEnter("ENTER to quit");
    robot.exit();
  }

  public void far(SensorPort port, int level)
  {
    gear.backward(2000);
    if (Math.random() < 0.5)
      gear.left(1200);
    else
      gear.right(1000);
    gear.forward();
  }

  public void near(SensorPort port, int level)
  {
  }

  public static void main(String[] args)
  {
    new RoverSonar();
  }
}
