// StepperEx1.java
// Stepper Motor at B0 (direction), B1 (step)
// Swinging back and forth

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;

public class StepperEx1 implements ButtonListener
{
  private boolean isRunning = true;
  private PrototypeSensor ps;
  private int nbOfSteps = 300;
  private int[] dout = new int[6];

  public StepperEx1()
  {
    NxtRobot robot = new NxtRobot();
    Button.ESCAPE.addButtonListener(this);
    System.out.println("ESCAPE to quit");
    ps = new PrototypeSensor(SensorPort.S1);
    robot.addPart(ps);
    int[] ioControl = new int[6];
    for (int i = 0; i < 6; i++)
    {
      ioControl[i] = 1;  // out
      dout[i] = 0;
    }
    ps.setDIO(ioControl);
    int dir = 1;  // Forward
    int nb = 0;
    while (isRunning)
    {
      if (nb == nbOfSteps)
        dir = -1;  // Backward
      if (nb == 0)
        dir = +1;
      step(dir);
      nb += dir;
    }
    robot.exit();
  }

  void step(int dir)
  {
    dout[0] = (dir == 1) ? 1 : 0;
    dout[1] = 1;
    ps.write(dout);
//    Tools.delay(10);
    dout[1] = 0;
    ps.write(dout);
//    Tools.delay(10);
  }


  public void buttonPressed(Button b)
  {
    isRunning = false;
  }

  public void buttonReleased(Button b)
  {
  }

  public static void main(String[] args)
  {
    new StepperEx1();
  }
}
