// SuperProEx1.java
// Checking digial out
// Blinking lamp at all digital out pins

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;

public class SuperProEx1 implements ButtonListener
{
  private volatile boolean isRunning = true;
  private final int out = 1;

  public SuperProEx1()
  {
    NxtRobot robot = new NxtRobot();
    Button.ESCAPE.addButtonListener(this);
    SuperProSensor sps = new SuperProSensor(SensorPort.S1);
    System.out.println("Version: " + sps.getVersion());
    System.out.println("ID: " + sps.getProductID());
    System.out.println("ESCAPE to quit");
    robot.addPart(sps);
    int[] ioControl = {out, out, out, out, out, out, out, out};
    sps.setDIO(ioControl);
    int[] dout = new int[8];
    for (int i = 0; i < 8; i++)
      dout[i] = 0;
    while (isRunning)
    {
      for (int i = 0; i < 8; i++)
      {
        dout[i] = dout[i] == 0 ? 1 : 0;
      }
      sps.write(dout);
      Tools.delay(1000);
    }
    robot.exit();
  }

  public void buttonPressed(Button b)
  {
    isRunning = false;
  }

  public void buttonReleased(Button b)
  {
  }

  public static void main(String[] args)
  {
    new SuperProEx1();
  }
}
