// SuperProEx2.java
// Read digital inputs

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;

public class SuperProEx2 implements ButtonListener
{
  private volatile boolean isRunning = true;

  public SuperProEx2()
  {
    NxtRobot robot = new NxtRobot();
    Button.ESCAPE.addButtonListener(this);
    SuperProSensor sps = new SuperProSensor(SensorPort.S1);
    robot.addPart(sps);
//  sps.setDIO(); not necessary because of digital-in default

    int[] din = new int[8];
    while (isRunning)
    {
      sps.readDigital(din);
      System.out.println("DigitalIn:");
      for (int i = 0; i < 8; i++)
        System.out.print(din[i] + ",");
      System.out.println();
      Tools.delay(2000);
    }
    robot.exit();
  }

  public void buttonPressed(Button b)
  {
    isRunning = false;
  }

  public void buttonReleased(Button b)
  {
  }

  public static void main(String[] args)
  {
    new SuperProEx2();
  }
}
