// SuperProEx5.java
// Checking strobe out
// Blinking lamp at all strobe out pins

import ch.aplu.nxt.*;
import lejos.nxt.Button;
import lejos.nxt.ButtonListener;

public class SuperProEx5 implements ButtonListener
{
  private volatile boolean isRunning = true;

  public SuperProEx5()
  {
    NxtRobot robot = new NxtRobot();
    Button.ESCAPE.addButtonListener(this);
    SuperProSensor sps = new SuperProSensor(SensorPort.S1);
    System.out.println("ESCAPE to quit");
    robot.addPart(sps);
    int[] sout = new int[4];
    for (int i = 0; i < 4; i++)
      sout[i] = 0;
    while (isRunning)
    {
      for (int i = 0; i < 4; i++)
      {
        sout[i] = sout[i] == 0 ? 1 : 0;
      }
      sps.writeStrobe(sout);
      Tools.delay(1000);
    }
    robot.exit();
  }

  public void buttonPressed(Button b)
  {
    isRunning = false;
  }

  public void buttonReleased(Button b)
  {
  }

  public static void main(String[] args)
  {
    new SuperProEx5();
  }
}
