// SuperProExp1.java
/*   HiTechnic Experimenter's Kit Program

Experiment - 1 Introduction - Read the status of a switch and display the status
                              on a LED


(c) HiTechnic 2009
*/

// Adapted to Java by Aegidius Pluess (www.aplu.ch)

import ch.aplu.nxt.*;
import lejos.nxt.LCD;

public class SuperProExp1
{
  private final int out = 1;

  public SuperProExp1()
  {
    NxtRobot robot = new NxtRobot();
    SuperProSensor sps = new SuperProSensor(SensorPort.S1);
    robot.addPart(sps);
    int[] dout = new int[8];
    int[] ain = new int[4];
    int[] ioControl = {out, out, out, out, out, out, out, out};
    sps.setDIO(ioControl);

    while (true)
    {
      sps.readAnalog(ain);
      LCD.clear();
      LCD.drawInt(ain[0], 0, 0);
      if (ain[0] < 512)
        dout[0] = 0;
      else
        dout[0] = 1;
      sps.write(dout);
      Tools.delay(50);
    }
  }

  public static void main(String[] args)
  {
    new SuperProExp1();
  }
}
