// SuperProExp2.java

/*   HiTechnic Experimenter's Kit Program

Experiment - 2 Six LEDs and a Potentiometer

This program reads the analog value of a potentiometer and outputs a
digital value to one of six LEDs.

(c) HiTechnic 2009

*/

// Adapted to Java by Aegidius Pluess (www.aplu.ch)

import ch.aplu.nxt.*;
import lejos.nxt.LCD;

public class SuperProExp2
{
  private final int out = 1;

  public SuperProExp2()
  {
    NxtRobot robot = new NxtRobot();
    SuperProSensor sps = new SuperProSensor(SensorPort.S1);
    robot.addPart(sps);
    int dout;
    int[] ain = new int[4];
    int[] ioControl = {out, out, out, out, out, out, out, out};
    sps.setDIO(ioControl);

    while (true)
    {
      sps.readAnalog(ain);
      LCD.clear();
      LCD.drawInt(ain[0], 0, 0);
      dout = 0x01;
      if (ain[0] > 31)
        dout = 0x02;
      if (ain[0] > 63)
        dout = 0x04;
      if (ain[0] > 127)
        dout = 0x08;
      if (ain[0] > 255)
        dout = 0x10;
      if (ain[0] > 511)
        dout = 0x20;
      sps.write(dout);
      Tools.delay(50);
    }
  }

  public static void main(String[] args)
  {
    new SuperProExp2();
  }
}
