// SuperProExp3.java

/*   HiTechnic Experimenter's Kit Program

Experiment - 3 Six LEDs and a the sound sensor

This program reads the raw value of the sound sensor and outputs a
digital value to one of six LEDs.

Port 1 - HiTechnic Prototype Board
Port 2 - Sound sensor

(c) HiTechnic 2009

*/

// Adapted to Java by Aegidius Pluess (www.aplu.ch)
// Modifications: LEDs used as line indicator

import ch.aplu.nxt.*;
import lejos.nxt.LCD;

public class SuperProExp3
{
  private final int out = 1;

  public SuperProExp3()
  {
    NxtRobot robot = new NxtRobot();
    SoundSensor ss = new SoundSensor(SensorPort.S2);
    robot.addPart(ss);
    SuperProSensor sps = new SuperProSensor(SensorPort.S1);
    robot.addPart(sps);
    int dout;
    int[] ain = new int[4];
    int[] ioControl = {out, out, out, out, out, out, out, out};
    sps.setDIO(ioControl);
    int soundlevel;

    while (true)
    {
      soundlevel = ss.getValue();
      LCD.clear();
      LCD.drawInt(soundlevel, 0, 0);
      dout = 0x01;
      if (soundlevel > 6)
        dout += 0x02;
      if (soundlevel > 30)
        dout += 0x04;
      if (soundlevel > 50)
        dout += 0x08;
      if (soundlevel > 70)
        dout += 0x10;
      if (soundlevel > 90)
        dout += 0x20;
      sps.write(dout);
      Tools.delay(50);
    }
  }

  public static void main(String[] args)
  {
    new SuperProExp3();
  }
}
