// SuperProExp5.java

/*   HiTechnic Experimenter's Kit Program

Experiment 5 - Ambient Canceling Light Sensor

This program reads the light level with a reference light source on and also off,
calculates the background light level to create an ambient (background)
canceling light sensor.

(c) HiTechnic 2009

*/


// Adapted to Java by Aegidius Pluess (www.aplu.ch)

import ch.aplu.nxt.*;
import lejos.nxt.LCD;

public class SuperProExp5
{
  private final int out = 1;

  public SuperProExp5()
  {
    NxtRobot robot = new NxtRobot();
    SuperProSensor sps = new SuperProSensor(SensorPort.S1);
    robot.addPart(sps);
    int dout;
    int[] ain = new int[4];
    int[] ioControl = {out, out, out, out, out, out, out, out};
    sps.setDIO(ioControl);

    int wolight, wlight, lightdelta;
    while (true)
    {
      sps.readAnalog(ain);  // Measure light off
      wolight = ain[0];     // Save
      sps.write(0x01);      // Turn light on
      Tools.delay(30);      // Wait
      sps.readAnalog(ain);  // Measure light on
      wlight = ain[0];      // Save
      sps.write(0);         // Turn light off
      lightdelta = wlight - wolight; // Calculate difference
      LCD.clear();          // Show result
      LCD.drawInt(wlight, 0, 0);
      LCD.drawInt(wolight, 0, 1);
      LCD.drawInt(lightdelta, 0, 2);  // Changes if high reflection
      Tools.delay(30);
    }
  }

  public static void main(String[] args)
  {
    new SuperProExp5();
  }
}
