// SuperProExp8.java

/*   HiTechnic Experimenter's Kit Program

Experiment - 8 Temperature Sensor

This program reads the temperature sensor and displays the value.

(c) HiTechnic 2009

*/

// Adapted to Java by Aegidius Pluess (www.aplu.ch)

import ch.aplu.nxt.*;
import lejos.nxt.LCD;

public class SuperProExp8
{
  private final int out = 1;
  private final int threshold = 24;  // Degrees centigrade

  public SuperProExp8()
  {
    NxtRobot robot = new NxtRobot();
    SuperProSensor sps = new SuperProSensor(SensorPort.S1);
    robot.addPart(sps);
    int[] ain = new int[4];
    int[] ioControl = {out, out, out, out, out, out, out, out};
    sps.setDIO(ioControl);

    int temperature;
    while (true)
    {
      sps.readAnalog(ain);
      temperature = ((ain[0] - 186) * 32) / 99;
      LCD.clear();
      LCD.drawInt(temperature, 0, 0);
      if (temperature > threshold)
        sps.write(0x10);
      else
        sps.write(0);
      Tools.delay(50);
    }
  }

  public static void main(String[] args)
  {
    new SuperProExp8();
  }
}
