// SynchEx1.java
// No synchronization will cause chaotic behaviour, do the following
// Whistle and then approach to the ultrasonic sensor
//   1. backward(40)
//   2. left(90)
//   3. rigth(90)
//   4. forward(10)

import ch.aplu.nxt.*;
import lejos.nxt.Button;

public class SynchEx1 implements SoundListener, UltrasonicListener
{
  private TurtleRobot t = new TurtleRobot();

  public SynchEx1()
  {
    SoundSensor ss = new SoundSensor(SensorPort.S1);
    t.addPart(ss);
    ss.addSoundListener(this, 40);

    UltrasonicSensor us = new UltrasonicSensor(SensorPort.S2);
    t.addPart(us);
    us.addUltrasonicListener(this, 40);

    while (!Button.ESCAPE.isPressed())
    {}

    t.exit();
  }

  public void loud(SensorPort port, int level)
  {
    t.backward(40);
    t.right(90);
  }

  public void quiet(SensorPort port, int level)
  {}

  public void far(SensorPort port, int level)
  {}

  public void near(SensorPort port, int level)
  {
    t.left(90);
    t.forward(10);
  }

  public static void main(String[] args)
  {
    new SynchEx1();
  }
}
