// SynchEx3.java

import ch.aplu.nxt.*;
import lejos.nxt.Button;

public class SynchEx3 implements SoundListener, UltrasonicListener
{
  private TurtleRobot t = new TurtleRobot();
  private volatile boolean inCallback = false;

  public SynchEx3()
  {
    SoundSensor ss = new SoundSensor(SensorPort.S1);
    t.addPart(ss);
    ss.addSoundListener(this, 40);

    UltrasonicSensor us = new UltrasonicSensor(SensorPort.S2);
    t.addPart(us);
    us.addUltrasonicListener(this, 40);

    while (!Button.ESCAPE.isPressed())
    {}

    t.exit();
  }

  public void loud(SensorPort port, int level)
  {
    if (inCallback)
      return;
    inCallback = true;
    t.backward(40);
    t.right(90);
    inCallback = false;
  }

  public void quiet(SensorPort port, int level)
  {}

  public void far(SensorPort port, int level)
  {}

  public  void near(SensorPort port, int level)
  {
    if (inCallback)
      return;
    inCallback = true;
    t.left(90);
    t.forward(10);
    inCallback = false;
  }

  public static void main(String[] args)
  {
    new SynchEx3();
  }
}
