// SynchEx5.java
// Synchronization of event callbacks
// Only one listener -> no problem because callback cannot
// be interrupted by same thread

import ch.aplu.nxt.*;
import lejos.nxt.Button;

public class SynchEx5 implements SoundListener
{
  private TurtleRobot t = new TurtleRobot();

  public SynchEx5()
  {
    SoundSensor ss = new SoundSensor(SensorPort.S1);
    t.addPart(ss);
    ss.addSoundListener(this, 40);

    while (!Button.ESCAPE.isPressed())
    {}

    t.exit();
  }

  public void loud(SensorPort port, int level)
  {
    t.backward(40);
    t.right(90);
  }

  public void quiet(SensorPort port, int level)
  {}

  public static void main(String[] args)
  {
    new SynchEx5();
  }
}
