// SynchEx6.java

import ch.aplu.nxt.*;
import lejos.nxt.Button;

public class SynchEx6 implements SoundListener, UltrasonicListener
{
  enum State {IDLE, LOUD, NEAR};

  private TurtleRobot t = new TurtleRobot();
  private State state = State.IDLE;

  public SynchEx6()
  {
    SoundSensor ss = new SoundSensor(SensorPort.S1);
    t.addPart(ss);
    ss.addSoundListener(this, 40);

    UltrasonicSensor us = new UltrasonicSensor(SensorPort.S2);
    t.addPart(us);
    us.addUltrasonicListener(this, 40);

    while (!Button.ESCAPE.isPressed())
    {
      switch(state)
      {
        case LOUD:
          t.backward(40);
          t.right(90);
          state = State.IDLE;
          break;

        case NEAR:
          t.left(90);
          t.forward(10);
          state = State.IDLE;
          break;
      }
    }
    t.exit();
  }

  public void loud(SensorPort port, int level)
  {
    state = State.LOUD;
  }

  public void quiet(SensorPort port, int level)
  {}

  public void far(SensorPort port, int level)
  {}

  public void near(SensorPort port, int level)
  {
    state = State.NEAR;
  }

  public static void main(String[] args)
  {
    new SynchEx6();
  }
}
