// Train.java

import ch.aplu.nxt.*;
import lejos.nxt.Button;

public class Train implements TransceiverListener
{
  private final double radius = 0.3;
  private Gear gear;
  private final String gate = "NXT5";

	public Train()
  {
  	NxtRobot robot = new NxtRobot();
    gear = new Gear();
    robot.addPart(gear);
    Transceiver tr = new Transceiver(gate);
    tr.addTransceiverListener(this);
    robot.addPart(tr);

    tr.switchOn(); // Blocks until connected

    gear.leftArc(radius);
    while (!Button.ESCAPE.isPressed()) {}
    robot.exit();
  }

  public void received(int state, int value)
  {
  	gear.stop();
  	Tools.delay(4000);  // Wait at gate
  	gear.leftArc(radius);
  }

  public void notifyConnection(boolean connected)
  {}

  public void isListening()
  {}

  public static void main(String[] args)
  {
    new Train();
  }
}